org.apache.hadoop.yarn.sharedcache

## Class SharedCacheChecksumFactory

- java.lang.Object
- - org.apache.hadoop.yarn.sharedcache.SharedCacheChecksumFactory

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public class SharedCacheChecksumFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SharedCacheChecksumFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SharedCacheChecksum` | `getChecksum(org.apache.hadoop.conf.Configuration conf)` Get a new `SharedCacheChecksum` object based on the configurable algorithm implementation (see `yarn.sharedcache.checksum.algo.impl`)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SharedCacheChecksumFactory

          public SharedCacheChecksumFactory()

  - ### Method Detail

    - #### getChecksum

          public static SharedCacheChecksum getChecksum(org.apache.hadoop.conf.Configuration conf)

      Get a new `SharedCacheChecksum` object based on the configurable algorithm implementation (see `yarn.sharedcache.checksum.algo.impl`)
      Returns:
        `SharedCacheChecksum` object

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.